Subject: RE: bug#19362: 25.0.50; Fix `pp.el' in line with new `elisp-mode.el'

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 09:36:52 -0800 (GMT-08:00)

> > Library `elisp-mode.el' was added after Emacs 24.4.  Prior to that,
> > functions such as `pp-eval-last-sexp' were aligned with the non-pp
> > sister functions from `lisp-mode.el', such as `eval-last-sexp'.
> >
> > This is no longer the case.  Please bring `pp.el' up to be parallel with
> > the behavior of `elisp-mode.el', just as it was parallel with the same
> > and similar code that was previously in `lisp-mode.el'.
> >
> > In particular, `pp-eval-last-sexp' had the same evaluation behavior as
> > `eval-lisp-mode'.  The addition of pretty-printing was pretty much the
> > only difference.  The two no longer correspond.  Please fix this
> > disparity.
> 
> What are the differences you think should be fixed?

Should be aligned as it was before.  Someone evolved the one
without evolving the other in tandem.